Skip to content

LIST OF STOCK SCREENING REPORTS

Request

Get Shariah-Compliant Screening Results for stocks. You can query by stock ticker.

List of Sectors:

  • Health Care
  • Financials
  • Information Technology
  • Consumer Staples
  • Real Estate
  • Energy
  • Industrials
  • Materials
  • Utilities
  • Consumer Discretionary
  • Communication Services

Sample country codes:

US, UK, SG, IN etc

Request body:

ParameterValueDescription
country"US"Country code
sector"Information Technology"Sector

Response body:

ParameterTypeDescription
companyNamestringCompany name
stockNamestringStock symbol
shariahComplianceStatusstringShariah-compliance Status (Halal, Not Halal, Doubtful, Not Covered)
complianceRankingnumberCompliance Rank (0-5)
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"MefluiSx95fBrh8j41aEyRWRKde1IV71B3TvRHNQHJudIbWzLd6aCrDApIBFCNKY/eRIKSkOs78NgP6mxoT+tA=="
Example:MefluiSx95fBrh8j41aEyRWRKde1IV71B3TvRHNQHJudIbWzLd6aCrDApIBFCNKY/eRIKSkOs78NgP6mxoT+tA==
Bodyapplication/jsonrequired
countrystring

Country code

sectorstring

Sector name

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/list' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: MefluiSx95fBrh8j41aEyRWRKde1IV71B3TvRHNQHJudIbWzLd6aCrDApIBFCNKY/eRIKSkOs78NgP6mxoT+tA==' \
--data '{
    "country":"IN",
    "sector":"Information Technology"
}'

Responses

Dynamic list of stock screening summaries for the requested country and sector

Bodyapplication/json
Array [
companyNamestring

Company name

stockNamestring

Stock symbol

shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber

Compliance Rank (0-5)

]
Response
[ { "companyName": "string", "stockName": "string", "shariahComplianceStatus": "string", "complianceRanking": 0 } ]